#include "common.h"
#include "passWnd.h"

BOOL CALLBACK PassWndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
	static char* lno;

	switch(msg)
	{
	case WM_INITDIALOG:
		lno = (char*)lParam;
		SetDlgItemText(hWnd, IDC_LOCKNO, lno);
		SendMessage(GetDlgItem(hWnd, IDC_LOCKNO), EM_SETLIMITTEXT, 8, 0);
		return TRUE;	// focus
	case WM_CLOSE:
		PostMessage(hWnd, WM_COMMAND, IDCANCEL, 0);
		break;
	case WM_COMMAND:
		switch(LOWORD(wParam))
		{
		case IDOK:
			GetDlgItemText(hWnd, IDC_LOCKNO, lno, 9);
			EndDialog(hWnd, 0);
			break;
		case IDCANCEL:
			EndDialog(hWnd, 1);
			break;
		}
		break;
	}

	return FALSE;
}
