#include "common.h"
#include "aeewnd.h"

HWND hAeeWnd = NULL;

BOOL CALLBACK AeeWndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
	switch(msg)
	{
	case WM_INITDIALOG:
		return TRUE;	// set focus
	case WM_LBUTTONDOWN:
		SendMessage(hWnd, WM_NCLBUTTONDOWN, HTCAPTION, 0);
		break;
	case WM_CLOSE:
		EndDialog(hWnd, 0);
		hAeeWnd = NULL;
		break;
	case WM_COMMAND:
		switch(HIWORD(wParam))
		{
		case 0:
			switch(LOWORD(wParam))
			{
			case IDOK:
				EndDialog(hWnd, 1);
				// copy vals
				hAeeWnd = NULL;
				break;
			case IDCANCEL:
				PostMessage(hWnd, WM_CLOSE, 0, 0);
				break;
			}
		}
		break;
	}

	return FALSE;
}
